<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/browsing/browserTemplate.xhtml">
            <ui:param name="managedBean" value="#{specimenBrowser}"/>
            <ui:define name="additionalFilters">
                <div class="row">
                    <div class="col-lg-6">
                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="fon"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.FillerOrderNumber']}</ui:define>
                            <h:inputText value="#{specimenBrowser.fillerOrderNumber}" id="fon"
                                         styleClass="form-control">
                                <a4j:ajax event="keyup" render="criteriaDiv"/>
                            </h:inputText>
                        </s:decorate>
                    </div>
                    <div class="col-lg-6">
                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="pon"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.PlacerOrderNumber']}</ui:define>
                            <h:inputText value="#{specimenBrowser.placerOrderNumber}" id="pon"
                                         styleClass="form-control">
                                <a4j:ajax event="keyup" render="criteriaDiv"/>
                            </h:inputText>
                        </s:decorate>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="vn"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.VisitNumber']}</ui:define>
                            <h:inputText value="#{specimenBrowser.visitNumber}" id="vn"
                                         styleClass="form-control">
                                <a4j:ajax event="keyup" render="criteriaDiv"/>
                            </h:inputText>
                        </s:decorate>
                    </div>
                    <div class="col-lg-6">
                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="pid"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.PatientIdentifier']}</ui:define>
                            <h:inputText value="#{specimenBrowser.patientId}" id="pid"
                                         styleClass="form-control">
                                <a4j:ajax event="keyup" render="criteriaDiv"/>
                            </h:inputText>
                        </s:decorate>
                    </div>
                </div>
            </ui:define>
            <ui:define name="columns">
                <ui:include src="/lab/specimenColumns.xhtml">
                    <ui:param name="specimen" value="#{o}"/>
                </ui:include>
                <g:column filterBy="#{'creator'}" sortBy="#{'creator'}" filterEvent="onkeyup">
                    <ui:define name="header">#{messages['gazelle.ordermanager.Creator']}</ui:define>
                    <h:outputText value="#{o.creator}"/>
                </g:column>
                <g:column sortBy="#{'lastChanged'}" sortOrder="descending">
                    <ui:define name="header">#{messages['gazelle.ordermanager.CreationDate_2']}</ui:define>
                    <g:date value="#{o.lastChanged}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                    <div class="gzl-never-wrap">
                        <h:outputLink
                                value="#{applicationConfiguration.getValueOfVariable('application_url')}#{specimenBrowser.getPermanentLink(o.id)}"
                                title="#{messages['gazelle.ordermanager.MoreDetails']}">
                            <s:span styleClass="gzl-icon-search "/>
                        </h:outputLink>
                        <a4j:commandLink action="#{specimenBrowser.createWorkOrder(o.id)}"
                                       title="#{messages['gazelle.ordermanager.CreateWorkOrdersForOrdersLinkedToThisSpecimen']}"
                                       rendered="#{not o.workOrder and labOrderBrowser.actor.keyword.equals('OF')}">
                            <s:span styleClass="gzl-icon-gears"/>
                        </a4j:commandLink>
                        <a4j:commandLink action="#{specimenBrowser.sendResults(o.id)}"
                                       rendered="#{(o.simulatedActor.keyword.equals('OF') and not o.workOrder)
                                                  or o.simulatedActor.keyword.equals('ANALYZER')
                                                  or o.simulatedActor.keyword.equals('AM')}"
                                       title="#{specimenBrowser.getSendResultTitle()}">
                            <span class="gzl-icon-completed"/>
                        </a4j:commandLink>
                    </div>
                </g:column>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
